org.richfaces.validator

## Class DummyBeanValidatorService

- java.lang.Object
- - org.richfaces.validator.DummyBeanValidatorService

- All Implemented Interfaces:
    BeanValidatorService

      public class DummyBeanValidatorService
      extends Object
      implements BeanValidatorService

  Author:
    asmirnov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyBeanValidatorService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String message, Class<?>... groups)` Get all constrains for given EL-expression
    `Collection<String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue, Class<?>... groups)` Validate expression for a new value.
    `Collection<String>` | `validateObject(javax.faces.context.FacesContext context, Object object, Class<?>... groups)` Validate entire object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyBeanValidatorService

          public DummyBeanValidatorService()

  - ### Method Detail

    - #### getConstrains

          public Collection<ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                      javax.el.ValueExpression expression,
                                                      String message,
                                                      Class<?>... groups)

      Description copied from interface: `BeanValidatorService`

      Get all constrains for given EL-expression

      Specified by:
        `getConstrains` in interface `BeanValidatorService`
        `message` - TODO

    - #### validateExpression

          public Collection<String> validateExpression(javax.faces.context.FacesContext context,
                                              javax.el.ValueExpression expression,
                                              Object newValue,
                                              Class<?>... groups)

      Description copied from interface: `BeanValidatorService`

      Validate expression for a new value.

      Specified by:
        `validateExpression` in interface `BeanValidatorService`

    - #### validateObject

          public Collection<String> validateObject(javax.faces.context.FacesContext context,
                                          Object object,
                                          Class<?>... groups)

      Description copied from interface: `BeanValidatorService`

      Validate entire object.

      Specified by:
        `validateObject` in interface `BeanValidatorService`

Copyright © 2014 JBoss by Red Hat. All rights reserved.